Skip to main content
POST
/
documents
Create a custom document
curl --request POST \
  --url https://api.vanta.com/v1/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "timeSensitivity": "MOST_RECENT",
  "cadence": "P0D",
  "reminderWindow": "P0D",
  "isSensitive": true
}
'
{
  "id": "1",
  "ownerId": "2",
  "category": "Account setup",
  "description": "Provide two examples of a recent access request and approval ",
  "isSensitive": false,
  "title": "Document Title",
  "uploadStatus": "Needs document",
  "uploadStatusDate": "2024-03-17T00:00:00.000Z",
  "url": "https://example.com"
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required

The document's title.

description
string
required

The document's description.

timeSensitivity
enum<string>
required

When to upload the document. Must be one of: "Most recent", "During audit window"

Available options:
MOST_RECENT,
DURING_AUDIT_WINDOW
cadence
enum<string>
required

How often the document needs to be renewed.

Never: P0D - The document does not need to be renewed. Daily: P1D - The document needs to be renewed daily. Weekly: P1W - The document needs to be renewed weekly. Monthly: P1M - The document needs to be renewed monthly. Quarterly: P3M - The document needs to be renewed quarterly. Biannually: P6M - The document needs to be renewed biannually. Annually: P1Y - The document needs to be renewed annually.

Available options:
P0D,
P1D,
P1W,
P1M,
P3M,
P6M,
P1Y,
P2Y
reminderWindow
enum<string>
required

The number of days before the renewal date to send a reminder. Note that reminderWindow should be smaller than the cadence.

Options are: Never: P0D - No reminder will be sent. Day: P1D - A reminder will be sent one day before the renewal date. Week: P1W - A reminder will be sent one week before the renewal date. Month: P1M - A reminder will be sent one month before the renewal date. Quarter: P3M - A reminder will be sent one quarter before the renewal date.

Available options:
P0D,
P1D,
P1W,
P1M,
P3M
isSensitive
boolean
required

Determines whether or not the document is sensitive. This restricts which users can access or upload files to the document. Only admins are able to view or upload sensitive documents.

Response

201 - application/json

Document created

id
string
required

The document's unique ID.

ownerId
string | null
required

The user ID of the document's owner.

category
enum<string>
required

The document's category.

Available options:
Accounts access,
Account security,
Account setup,
Computers,
Custom,
Data storage,
Employees,
Infrastructure,
IT,
Logging,
Monitoring alerts,
People,
Policies,
Risk analysis,
Software development,
CSPM alert management,
Vendors,
Vulnerability management
description
string
required

The document's description.

isSensitive
boolean
required

Determines whether or not the document is sensitive.

title
string
required

The document's title.

uploadStatus
enum<string>
required

The document's status.

Available options:
Needs document,
Needs update,
Not relevant,
OK
uploadStatusDate
string<date-time> | null
required

The date the document's uploadStatus changed.

url
string | null
required

The URL to view the document within Vanta.